import{S as bi,i as xi,s as Ci,e as s,k as p,w as x,t as r,M as $i,c as n,d as t,m as f,a,x as C,h as i,b as c,N as Ti,G as e,g as m,y as $,q as T,o as N,B as E,v as Ni,L as Is}from"../../chunks/vendor-hf-doc-builder.js";import{T as Yo}from"../../chunks/Tip-hf-doc-builder.js";import{D as ze}from"../../chunks/Docstring-hf-doc-builder.js";import{C as ks}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as st}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Es}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as Ei}from"../../chunks/PipelineTag-hf-doc-builder.js";function Ii(j){let d,y,_,g,w;return g=new ks({props:{code:`from transformers import ConvNextConfig, ConvNextModel

# Initializing a ConvNext convnext-tiny-224 style configuration
configuration = ConvNextConfig()

# Initializing a model (with random weights) from the convnext-tiny-224 style configuration
model = ConvNextModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> ConvNextConfig, ConvNextModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a ConvNext convnext-tiny-224 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = ConvNextConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the convnext-tiny-224 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ConvNextModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=s("p"),y=r("Example:"),_=p(),x(g.$$.fragment)},l(l){d=n(l,"P",{});var h=a(d);y=i(h,"Example:"),h.forEach(t),_=f(l),C(g.$$.fragment,l)},m(l,h){m(l,d,h),e(d,y),m(l,_,h),$(g,l,h),w=!0},p:Is,i(l){w||(T(g.$$.fragment,l),w=!0)},o(l){N(g.$$.fragment,l),w=!1},d(l){l&&t(d),l&&t(_),E(g,l)}}}function ki(j){let d,y,_,g,w;return{c(){d=s("p"),y=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),g=r("Module"),w=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=n(l,"P",{});var h=a(d);y=i(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n(h,"CODE",{});var P=a(_);g=i(P,"Module"),P.forEach(t),w=i(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){m(l,d,h),e(d,y),e(d,_),e(_,g),e(d,w)},d(l){l&&t(d)}}}function Pi(j){let d,y,_,g,w;return g=new ks({props:{code:`from transformers import AutoImageProcessor, ConvNextModel
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/convnext-tiny-224")
model = ConvNextModel.from_pretrained("facebook/convnext-tiny-224")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, ConvNextModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ConvNextModel.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">768</span>, <span class="hljs-number">7</span>, <span class="hljs-number">7</span>]`}}),{c(){d=s("p"),y=r("Example:"),_=p(),x(g.$$.fragment)},l(l){d=n(l,"P",{});var h=a(d);y=i(h,"Example:"),h.forEach(t),_=f(l),C(g.$$.fragment,l)},m(l,h){m(l,d,h),e(d,y),m(l,_,h),$(g,l,h),w=!0},p:Is,i(l){w||(T(g.$$.fragment,l),w=!0)},o(l){N(g.$$.fragment,l),w=!1},d(l){l&&t(d),l&&t(_),E(g,l)}}}function Fi(j){let d,y,_,g,w;return{c(){d=s("p"),y=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),g=r("Module"),w=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=n(l,"P",{});var h=a(d);y=i(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n(h,"CODE",{});var P=a(_);g=i(P,"Module"),P.forEach(t),w=i(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){m(l,d,h),e(d,y),e(d,_),e(_,g),e(d,w)},d(l){l&&t(d)}}}function ji(j){let d,y,_,g,w;return g=new ks({props:{code:`from transformers import AutoImageProcessor, ConvNextForImageClassification
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/convnext-tiny-224")
model = ConvNextForImageClassification.from_pretrained("facebook/convnext-tiny-224")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = logits.argmax(-1).item()
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, ConvNextForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ConvNextForImageClassification.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = logits.argmax(-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tabby, tabby cat`}}),{c(){d=s("p"),y=r("Example:"),_=p(),x(g.$$.fragment)},l(l){d=n(l,"P",{});var h=a(d);y=i(h,"Example:"),h.forEach(t),_=f(l),C(g.$$.fragment,l)},m(l,h){m(l,d,h),e(d,y),m(l,_,h),$(g,l,h),w=!0},p:Is,i(l){w||(T(g.$$.fragment,l),w=!0)},o(l){N(g.$$.fragment,l),w=!1},d(l){l&&t(d),l&&t(_),E(g,l)}}}function Ai(j){let d,y,_,g,w,l,h,P,De,be,z,Y,ee,b,Oe,X,Le,xe,L,Se,te,oe,Re,Ce,W,We,$e,U,ue,Ue,pe,F,D,Te,H,ge,He,J,Z,Qe,q,Q,se,fe,Xe,ne,Ne,A,K,ae,re,Ke,V,O,Ve,M,Be,Ge;return{c(){d=s("p"),y=r("TensorFlow models and layers in "),_=s("code"),g=r("transformers"),w=r(" accept two formats as input:"),l=p(),h=s("ul"),P=s("li"),De=r("having all inputs as keyword arguments (like PyTorch models), or"),be=p(),z=s("li"),Y=r("having all inputs as a list, tuple or dict in the first positional argument."),ee=p(),b=s("p"),Oe=r(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),X=s("code"),Le=r("model.fit()"),xe=r(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),L=s("code"),Se=r("model.fit()"),te=r(` supports! If, however, you want to use the second
format outside of Keras methods like `),oe=s("code"),Re=r("fit()"),Ce=r(" and "),W=s("code"),We=r("predict()"),$e=r(`, such as when creating your own layers or models with
the Keras `),U=s("code"),ue=r("Functional"),Ue=r(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),pe=p(),F=s("ul"),D=s("li"),Te=r("a single Tensor with "),H=s("code"),ge=r("pixel_values"),He=r(" only and nothing else: "),J=s("code"),Z=r("model(pixel_values)"),Qe=p(),q=s("li"),Q=r(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),se=s("code"),fe=r("model([pixel_values, attention_mask])"),Xe=r(" or "),ne=s("code"),Ne=r("model([pixel_values, attention_mask, token_type_ids])"),A=p(),K=s("li"),ae=r(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),re=s("code"),Ke=r('model({"pixel_values": pixel_values, "token_type_ids": token_type_ids})'),V=p(),O=s("p"),Ve=r(`Note that when creating models and layers with
`),M=s("a"),Be=r("subclassing"),Ge=r(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=n(v,"P",{});var I=a(d);y=i(I,"TensorFlow models and layers in "),_=n(I,"CODE",{});var nt=a(_);g=i(nt,"transformers"),nt.forEach(t),w=i(I," accept two formats as input:"),I.forEach(t),l=f(v),h=n(v,"UL",{});var B=a(h);P=n(B,"LI",{});var at=a(P);De=i(at,"having all inputs as keyword arguments (like PyTorch models), or"),at.forEach(t),be=f(B),z=n(B,"LI",{});var rt=a(z);Y=i(rt,"having all inputs as a list, tuple or dict in the first positional argument."),rt.forEach(t),B.forEach(t),ee=f(v),b=n(v,"P",{});var k=a(b);Oe=i(k,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),X=n(k,"CODE",{});var ie=a(X);Le=i(ie,"model.fit()"),ie.forEach(t),xe=i(k,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),L=n(k,"CODE",{});var me=a(L);Se=i(me,"model.fit()"),me.forEach(t),te=i(k,` supports! If, however, you want to use the second
format outside of Keras methods like `),oe=n(k,"CODE",{});var Ye=a(oe);Re=i(Ye,"fit()"),Ye.forEach(t),Ce=i(k," and "),W=n(k,"CODE",{});var _e=a(W);We=i(_e,"predict()"),_e.forEach(t),$e=i(k,`, such as when creating your own layers or models with
the Keras `),U=n(k,"CODE",{});var it=a(U);ue=i(it,"Functional"),it.forEach(t),Ue=i(k,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),k.forEach(t),pe=f(v),F=n(v,"UL",{});var R=a(F);D=n(R,"LI",{});var le=a(D);Te=i(le,"a single Tensor with "),H=n(le,"CODE",{});var et=a(H);ge=i(et,"pixel_values"),et.forEach(t),He=i(le," only and nothing else: "),J=n(le,"CODE",{});var Ee=a(J);Z=i(Ee,"model(pixel_values)"),Ee.forEach(t),le.forEach(t),Qe=f(R),q=n(R,"LI",{});var ce=a(q);Q=i(ce,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),se=n(ce,"CODE",{});var tt=a(se);fe=i(tt,"model([pixel_values, attention_mask])"),tt.forEach(t),Xe=i(ce," or "),ne=n(ce,"CODE",{});var ve=a(ne);Ne=i(ve,"model([pixel_values, attention_mask, token_type_ids])"),ve.forEach(t),ce.forEach(t),A=f(R),K=n(R,"LI",{});var Ie=a(K);ae=i(Ie,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),re=n(Ie,"CODE",{});var he=a(re);Ke=i(he,'model({"pixel_values": pixel_values, "token_type_ids": token_type_ids})'),he.forEach(t),Ie.forEach(t),R.forEach(t),V=f(v),O=n(v,"P",{});var S=a(O);Ve=i(S,`Note that when creating models and layers with
`),M=n(S,"A",{href:!0,rel:!0});var ke=a(M);Be=i(ke,"subclassing"),ke.forEach(t),Ge=i(S,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),S.forEach(t),this.h()},h(){c(M,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(M,"rel","nofollow")},m(v,I){m(v,d,I),e(d,y),e(d,_),e(_,g),e(d,w),m(v,l,I),m(v,h,I),e(h,P),e(P,De),e(h,be),e(h,z),e(z,Y),m(v,ee,I),m(v,b,I),e(b,Oe),e(b,X),e(X,Le),e(b,xe),e(b,L),e(L,Se),e(b,te),e(b,oe),e(oe,Re),e(b,Ce),e(b,W),e(W,We),e(b,$e),e(b,U),e(U,ue),e(b,Ue),m(v,pe,I),m(v,F,I),e(F,D),e(D,Te),e(D,H),e(H,ge),e(D,He),e(D,J),e(J,Z),e(F,Qe),e(F,q),e(q,Q),e(q,se),e(se,fe),e(q,Xe),e(q,ne),e(ne,Ne),e(F,A),e(F,K),e(K,ae),e(K,re),e(re,Ke),m(v,V,I),m(v,O,I),e(O,Ve),e(O,M),e(M,Be),e(O,Ge)},d(v){v&&t(d),v&&t(l),v&&t(h),v&&t(ee),v&&t(b),v&&t(pe),v&&t(F),v&&t(V),v&&t(O)}}}function Mi(j){let d,y,_,g,w;return{c(){d=s("p"),y=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),g=r("Module"),w=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=n(l,"P",{});var h=a(d);y=i(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n(h,"CODE",{});var P=a(_);g=i(P,"Module"),P.forEach(t),w=i(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){m(l,d,h),e(d,y),e(d,_),e(_,g),e(d,w)},d(l){l&&t(d)}}}function qi(j){let d,y,_,g,w;return g=new ks({props:{code:`from transformers import AutoImageProcessor, TFConvNextModel
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("facebook/convnext-tiny-224")
model = TFConvNextModel.from_pretrained("facebook/convnext-tiny-224")

inputs = image_processor(images=image, return_tensors="tf")
outputs = model(**inputs)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, TFConvNextModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFConvNextModel.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=s("p"),y=r("Examples:"),_=p(),x(g.$$.fragment)},l(l){d=n(l,"P",{});var h=a(d);y=i(h,"Examples:"),h.forEach(t),_=f(l),C(g.$$.fragment,l)},m(l,h){m(l,d,h),e(d,y),m(l,_,h),$(g,l,h),w=!0},p:Is,i(l){w||(T(g.$$.fragment,l),w=!0)},o(l){N(g.$$.fragment,l),w=!1},d(l){l&&t(d),l&&t(_),E(g,l)}}}function zi(j){let d,y,_,g,w,l,h,P,De,be,z,Y,ee,b,Oe,X,Le,xe,L,Se,te,oe,Re,Ce,W,We,$e,U,ue,Ue,pe,F,D,Te,H,ge,He,J,Z,Qe,q,Q,se,fe,Xe,ne,Ne,A,K,ae,re,Ke,V,O,Ve,M,Be,Ge;return{c(){d=s("p"),y=r("TensorFlow models and layers in "),_=s("code"),g=r("transformers"),w=r(" accept two formats as input:"),l=p(),h=s("ul"),P=s("li"),De=r("having all inputs as keyword arguments (like PyTorch models), or"),be=p(),z=s("li"),Y=r("having all inputs as a list, tuple or dict in the first positional argument."),ee=p(),b=s("p"),Oe=r(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),X=s("code"),Le=r("model.fit()"),xe=r(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),L=s("code"),Se=r("model.fit()"),te=r(` supports! If, however, you want to use the second
format outside of Keras methods like `),oe=s("code"),Re=r("fit()"),Ce=r(" and "),W=s("code"),We=r("predict()"),$e=r(`, such as when creating your own layers or models with
the Keras `),U=s("code"),ue=r("Functional"),Ue=r(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),pe=p(),F=s("ul"),D=s("li"),Te=r("a single Tensor with "),H=s("code"),ge=r("pixel_values"),He=r(" only and nothing else: "),J=s("code"),Z=r("model(pixel_values)"),Qe=p(),q=s("li"),Q=r(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),se=s("code"),fe=r("model([pixel_values, attention_mask])"),Xe=r(" or "),ne=s("code"),Ne=r("model([pixel_values, attention_mask, token_type_ids])"),A=p(),K=s("li"),ae=r(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),re=s("code"),Ke=r('model({"pixel_values": pixel_values, "token_type_ids": token_type_ids})'),V=p(),O=s("p"),Ve=r(`Note that when creating models and layers with
`),M=s("a"),Be=r("subclassing"),Ge=r(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=n(v,"P",{});var I=a(d);y=i(I,"TensorFlow models and layers in "),_=n(I,"CODE",{});var nt=a(_);g=i(nt,"transformers"),nt.forEach(t),w=i(I," accept two formats as input:"),I.forEach(t),l=f(v),h=n(v,"UL",{});var B=a(h);P=n(B,"LI",{});var at=a(P);De=i(at,"having all inputs as keyword arguments (like PyTorch models), or"),at.forEach(t),be=f(B),z=n(B,"LI",{});var rt=a(z);Y=i(rt,"having all inputs as a list, tuple or dict in the first positional argument."),rt.forEach(t),B.forEach(t),ee=f(v),b=n(v,"P",{});var k=a(b);Oe=i(k,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),X=n(k,"CODE",{});var ie=a(X);Le=i(ie,"model.fit()"),ie.forEach(t),xe=i(k,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),L=n(k,"CODE",{});var me=a(L);Se=i(me,"model.fit()"),me.forEach(t),te=i(k,` supports! If, however, you want to use the second
format outside of Keras methods like `),oe=n(k,"CODE",{});var Ye=a(oe);Re=i(Ye,"fit()"),Ye.forEach(t),Ce=i(k," and "),W=n(k,"CODE",{});var _e=a(W);We=i(_e,"predict()"),_e.forEach(t),$e=i(k,`, such as when creating your own layers or models with
the Keras `),U=n(k,"CODE",{});var it=a(U);ue=i(it,"Functional"),it.forEach(t),Ue=i(k,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),k.forEach(t),pe=f(v),F=n(v,"UL",{});var R=a(F);D=n(R,"LI",{});var le=a(D);Te=i(le,"a single Tensor with "),H=n(le,"CODE",{});var et=a(H);ge=i(et,"pixel_values"),et.forEach(t),He=i(le," only and nothing else: "),J=n(le,"CODE",{});var Ee=a(J);Z=i(Ee,"model(pixel_values)"),Ee.forEach(t),le.forEach(t),Qe=f(R),q=n(R,"LI",{});var ce=a(q);Q=i(ce,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),se=n(ce,"CODE",{});var tt=a(se);fe=i(tt,"model([pixel_values, attention_mask])"),tt.forEach(t),Xe=i(ce," or "),ne=n(ce,"CODE",{});var ve=a(ne);Ne=i(ve,"model([pixel_values, attention_mask, token_type_ids])"),ve.forEach(t),ce.forEach(t),A=f(R),K=n(R,"LI",{});var Ie=a(K);ae=i(Ie,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),re=n(Ie,"CODE",{});var he=a(re);Ke=i(he,'model({"pixel_values": pixel_values, "token_type_ids": token_type_ids})'),he.forEach(t),Ie.forEach(t),R.forEach(t),V=f(v),O=n(v,"P",{});var S=a(O);Ve=i(S,`Note that when creating models and layers with
`),M=n(S,"A",{href:!0,rel:!0});var ke=a(M);Be=i(ke,"subclassing"),ke.forEach(t),Ge=i(S,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),S.forEach(t),this.h()},h(){c(M,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(M,"rel","nofollow")},m(v,I){m(v,d,I),e(d,y),e(d,_),e(_,g),e(d,w),m(v,l,I),m(v,h,I),e(h,P),e(P,De),e(h,be),e(h,z),e(z,Y),m(v,ee,I),m(v,b,I),e(b,Oe),e(b,X),e(X,Le),e(b,xe),e(b,L),e(L,Se),e(b,te),e(b,oe),e(oe,Re),e(b,Ce),e(b,W),e(W,We),e(b,$e),e(b,U),e(U,ue),e(b,Ue),m(v,pe,I),m(v,F,I),e(F,D),e(D,Te),e(D,H),e(H,ge),e(D,He),e(D,J),e(J,Z),e(F,Qe),e(F,q),e(q,Q),e(q,se),e(se,fe),e(q,Xe),e(q,ne),e(ne,Ne),e(F,A),e(F,K),e(K,ae),e(K,re),e(re,Ke),m(v,V,I),m(v,O,I),e(O,Ve),e(O,M),e(M,Be),e(O,Ge)},d(v){v&&t(d),v&&t(l),v&&t(h),v&&t(ee),v&&t(b),v&&t(pe),v&&t(F),v&&t(V),v&&t(O)}}}function Di(j){let d,y,_,g,w;return{c(){d=s("p"),y=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),g=r("Module"),w=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=n(l,"P",{});var h=a(d);y=i(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n(h,"CODE",{});var P=a(_);g=i(P,"Module"),P.forEach(t),w=i(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){m(l,d,h),e(d,y),e(d,_),e(_,g),e(d,w)},d(l){l&&t(d)}}}function Oi(j){let d,y,_,g,w;return g=new ks({props:{code:`from transformers import AutoImageProcessor, TFConvNextForImageClassification
import tensorflow as tf
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("facebook/convnext-tiny-224")
model = TFConvNextForImageClassification.from_pretrained("facebook/convnext-tiny-224")

inputs = image_processor(images=image, return_tensors="tf")
outputs = model(**inputs)
logits = outputs.logits
# model predicts one of the 1000 ImageNet classes
predicted_class_idx = tf.math.argmax(logits, axis=-1)[0]
print("Predicted class:", model.config.id2label[int(predicted_class_idx)])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, TFConvNextForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFConvNextForImageClassification.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_idx = tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;Predicted class:&quot;</span>, model.config.id2label[<span class="hljs-built_in">int</span>(predicted_class_idx)])`}}),{c(){d=s("p"),y=r("Examples:"),_=p(),x(g.$$.fragment)},l(l){d=n(l,"P",{});var h=a(d);y=i(h,"Examples:"),h.forEach(t),_=f(l),C(g.$$.fragment,l)},m(l,h){m(l,d,h),e(d,y),m(l,_,h),$(g,l,h),w=!0},p:Is,i(l){w||(T(g.$$.fragment,l),w=!0)},o(l){N(g.$$.fragment,l),w=!1},d(l){l&&t(d),l&&t(_),E(g,l)}}}function Li(j){let d,y,_,g,w,l,h,P,De,be,z,Y,ee,b,Oe,X,Le,xe,L,Se,te,oe,Re,Ce,W,We,$e,U,ue,Ue,pe,F,D,Te,H,ge,He,J,Z,Qe,q,Q,se,fe,Xe,ne,Ne,A,K,ae,re,Ke,V,O,Ve,M,Be,Ge,v,I,nt,B,at,rt,k,ie,me,Ye,_e,it,R,le,et,Ee,ce,tt,ve,Ie,he,S,ke,dn,pn,Kt,fn,mn,Vt,hn,un,gn,Po,_n,Fo,vn,Ps,jo,wn,Fs,lt,bt,Jo,Bt,yn,Zo,bn,js,we,Gt,xn,ct,Cn,Ao,$n,Tn,Yt,Nn,En,In,dt,kn,Mo,Pn,Fn,qo,jn,An,Mn,xt,As,pt,Ct,Qo,Jt,qn,es,zn,Ms,Zt,Qt,qs,ft,$t,ts,eo,Dn,os,On,zs,Je,to,Ln,ss,Sn,Rn,Tt,oo,Wn,ns,Un,Ds,mt,Nt,as,so,Hn,rs,Xn,Os,Ze,no,Kn,ao,Vn,ro,Bn,Gn,Yn,Pe,io,Jn,ht,Zn,zo,Qn,ea,is,ta,oa,sa,Et,na,It,Ls,ut,kt,ls,lo,aa,cs,ra,Ss,ye,co,ia,ds,la,ca,po,da,fo,pa,fa,ma,Fe,mo,ha,gt,ua,Do,ga,_a,ps,va,wa,ya,Pt,ba,Ft,Rs,_t,jt,fs,ho,xa,ms,Ca,Ws,de,uo,$a,go,Ta,Oo,Na,Ea,Ia,_o,ka,vo,Pa,Fa,ja,At,Aa,je,wo,Ma,vt,qa,Lo,za,Da,hs,Oa,La,Sa,Mt,Ra,qt,Us,wt,zt,us,yo,Wa,gs,Ua,Hs,G,bo,Ha,_s,Xa,Ka,xo,Va,So,Ba,Ga,Ya,Co,Ja,$o,Za,Qa,er,Dt,tr,Ae,To,or,yt,sr,Ro,nr,ar,vs,rr,ir,lr,Ot,cr,Lt,Xs;return l=new st({}),b=new st({}),_e=new st({}),ve=new Ei({props:{pipeline:"image-classification"}}),Bt=new st({}),Gt=new ze({props:{name:"class transformers.ConvNextConfig",anchor:"transformers.ConvNextConfig",parameters:[{name:"num_channels",val:" = 3"},{name:"patch_size",val:" = 4"},{name:"num_stages",val:" = 4"},{name:"hidden_sizes",val:" = None"},{name:"depths",val:" = None"},{name:"hidden_act",val:" = 'gelu'"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"layer_scale_init_value",val:" = 1e-06"},{name:"drop_path_rate",val:" = 0.0"},{name:"image_size",val:" = 224"},{name:"out_features",val:" = None"},{name:"out_indices",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ConvNextConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.ConvNextConfig.patch_size",description:`<strong>patch_size</strong> (<code>int</code>, optional, defaults to 4) &#x2014;
Patch size to use in the patch embedding layer.`,name:"patch_size"},{anchor:"transformers.ConvNextConfig.num_stages",description:`<strong>num_stages</strong> (<code>int</code>, optional, defaults to 4) &#x2014;
The number of stages in the model.`,name:"num_stages"},{anchor:"transformers.ConvNextConfig.hidden_sizes",description:`<strong>hidden_sizes</strong> (<code>List[int]</code>, <em>optional</em>, defaults to [96, 192, 384, 768]) &#x2014;
Dimensionality (hidden size) at each stage.`,name:"hidden_sizes"},{anchor:"transformers.ConvNextConfig.depths",description:`<strong>depths</strong> (<code>List[int]</code>, <em>optional</em>, defaults to [3, 3, 9, 3]) &#x2014;
Depth (number of blocks) for each stage.`,name:"depths"},{anchor:"transformers.ConvNextConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in each block. If string, <code>&quot;gelu&quot;</code>, <code>&quot;relu&quot;</code>,
<code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.ConvNextConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.ConvNextConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.ConvNextConfig.layer_scale_init_value",description:`<strong>layer_scale_init_value</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-6) &#x2014;
The initial value for the layer scale.`,name:"layer_scale_init_value"},{anchor:"transformers.ConvNextConfig.drop_path_rate",description:`<strong>drop_path_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The drop rate for stochastic depth.`,name:"drop_path_rate"},{anchor:"transformers.ConvNextConfig.out_features",description:`<strong>out_features</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
If used as backbone, list of features to output. Can be any of <code>&quot;stem&quot;</code>, <code>&quot;stage1&quot;</code>, <code>&quot;stage2&quot;</code>, etc.
(depending on how many stages the model has). If unset and <code>out_indices</code> is set, will default to the
corresponding stages. If unset and <code>out_indices</code> is unset, will default to the last stage.`,name:"out_features"},{anchor:"transformers.ConvNextConfig.out_indices",description:`<strong>out_indices</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
If used as backbone, list of indices of features to output. Can be any of 0, 1, 2, etc. (depending on how
many stages the model has). If unset and <code>out_features</code> is set, will default to the corresponding stages.
If unset and <code>out_features</code> is unset, will default to the last stage.`,name:"out_indices"}],source:"https://github.com/huggingface/transformers/blob/vr_19952/src/transformers/models/convnext/configuration_convnext.py#L35"}}),xt=new Es({props:{anchor:"transformers.ConvNextConfig.example",$$slots:{default:[Ii]},$$scope:{ctx:j}}}),Jt=new st({}),Qt=new ze({props:{name:"class transformers.ConvNextFeatureExtractor",anchor:"transformers.ConvNextFeatureExtractor",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_19952/src/transformers/models/convnext/feature_extraction_convnext.py#L26"}}),eo=new st({}),to=new ze({props:{name:"class transformers.ConvNextImageProcessor",anchor:"transformers.ConvNextImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"crop_pct",val:": float = None"},{name:"resample",val:": Resampling = <Resampling.BILINEAR: 2>"},{name:"do_rescale",val:": bool = True"},{name:"rescale_factor",val:": typing.Union[int, float] = 0.00392156862745098"},{name:"do_normalize",val:": bool = True"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ConvNextImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Controls whether to resize the image&#x2019;s (height, width) dimensions to the specified <code>size</code>. Can be overriden
by <code>do_resize</code> in the <code>preprocess</code> method.`,name:"do_resize"},{anchor:"transformers.ConvNextImageProcessor.size",description:`<strong>size</strong> (<code>Dict[str, int]</code> <em>optional</em>, defaults to <code>{&quot;shortest_edge&quot; -- 384}</code>):
Resolution of the output image after <code>resize</code> is applied. If <code>size[&quot;shortest_edge&quot;]</code> &gt;= 384, the image is
resized to <code>(size[&quot;shortest_edge&quot;], size[&quot;shortest_edge&quot;])</code>. Otherwise, the smaller edge of the image will
be matched to <code>int(size[&quot;shortest_edge&quot;]/crop_pct)</code>, after which the image is cropped to
<code>(size[&quot;shortest_edge&quot;], size[&quot;shortest_edge&quot;])</code>. Only has an effect if <code>do_resize</code> is set to <code>True</code>. Can
be overriden by <code>size</code> in the <code>preprocess</code> method.`,name:"size"},{anchor:"transformers.ConvNextImageProcessor.crop_pct",description:`<strong>crop_pct</strong> (<code>float</code> <em>optional</em>, defaults to 224 / 256) &#x2014;
Percentage of the image to crop. Only has an effect if <code>do_resize</code> is <code>True</code> and size &lt; 384. Can be
overriden by <code>crop_pct</code> in the <code>preprocess</code> method.`,name:"crop_pct"},{anchor:"transformers.ConvNextImageProcessor.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>PILImageResampling.BILINEAR</code>) &#x2014;
Resampling filter to use if resizing the image. Can be overriden by <code>resample</code> in the <code>preprocess</code> method.`,name:"resample"},{anchor:"transformers.ConvNextImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to rescale the image by the specified scale <code>rescale_factor</code>. Can be overriden by <code>do_rescale</code> in
the <code>preprocess</code> method.`,name:"do_rescale"},{anchor:"transformers.ConvNextImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>int</code> or <code>float</code>, <em>optional</em>, defaults to <code>1/255</code>) &#x2014;
Scale factor to use if rescaling the image. Can be overriden by <code>rescale_factor</code> in the <code>preprocess</code>
method.`,name:"rescale_factor"},{anchor:"transformers.ConvNextImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image. Can be overridden by the <code>do_normalize</code> parameter in the <code>preprocess</code>
method.`,name:"do_normalize"},{anchor:"transformers.ConvNextImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_MEAN</code>) &#x2014;
Mean to use if normalizing the image. This is a float or list of floats the length of the number of
channels in the image. Can be overridden by the <code>image_mean</code> parameter in the <code>preprocess</code> method.`,name:"image_mean"},{anchor:"transformers.ConvNextImageProcessor.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_STD</code>) &#x2014;
Standard deviation to use if normalizing the image. This is a float or list of floats the length of the
number of channels in the image. Can be overridden by the <code>image_std</code> parameter in the <code>preprocess</code> method.`,name:"image_std"}],source:"https://github.com/huggingface/transformers/blob/vr_19952/src/transformers/models/convnext/image_processing_convnext.py#L50"}}),oo=new ze({props:{name:"preprocess",anchor:"transformers.ConvNextImageProcessor.preprocess",parameters:[{name:"images",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]]"},{name:"do_resize",val:": bool = None"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"crop_pct",val:": float = None"},{name:"resample",val:": Resampling = None"},{name:"do_rescale",val:": bool = None"},{name:"rescale_factor",val:": float = None"},{name:"do_normalize",val:": bool = None"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"data_format",val:": ChannelDimension = <ChannelDimension.FIRST: 'channels_first'>"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ConvNextImageProcessor.preprocess.images",description:`<strong>images</strong> (<code>ImageInput</code>) &#x2014;
Image to preprocess.`,name:"images"},{anchor:"transformers.ConvNextImageProcessor.preprocess.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_resize</code>) &#x2014;
Whether to resize the image.`,name:"do_resize"},{anchor:"transformers.ConvNextImageProcessor.preprocess.size",description:`<strong>size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>self.size</code>) &#x2014;
Size of the output image after <code>resize</code> has been applied. If <code>size[&quot;shortest_edge&quot;]</code> &gt;= 384, the image
is resized to <code>(size[&quot;shortest_edge&quot;], size[&quot;shortest_edge&quot;])</code>. Otherwise, the smaller edge of the
image will be matched to <code>int(size[&quot;shortest_edge&quot;]/ crop_pct)</code>, after which the image is cropped to
<code>(size[&quot;shortest_edge&quot;], size[&quot;shortest_edge&quot;])</code>. Only has an effect if <code>do_resize</code> is set to <code>True</code>.`,name:"size"},{anchor:"transformers.ConvNextImageProcessor.preprocess.crop_pct",description:`<strong>crop_pct</strong> (<code>float</code>, <em>optional</em>, defaults to <code>self.crop_pct</code>) &#x2014;
Percentage of the image to crop if size &lt; 384.`,name:"crop_pct"},{anchor:"transformers.ConvNextImageProcessor.preprocess.resample",description:`<strong>resample</strong> (<code>int</code>, <em>optional</em>, defaults to <code>self.resample</code>) &#x2014;
Resampling filter to use if resizing the image. This can be one of <code>PILImageResampling</code>, filters. Only
has an effect if <code>do_resize</code> is set to <code>True</code>.`,name:"resample"},{anchor:"transformers.ConvNextImageProcessor.preprocess.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_rescale</code>) &#x2014;
Whether to rescale the image values between [0 - 1].`,name:"do_rescale"},{anchor:"transformers.ConvNextImageProcessor.preprocess.rescale_factor",description:`<strong>rescale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>self.rescale_factor</code>) &#x2014;
Rescale factor to rescale the image by if <code>do_rescale</code> is set to <code>True</code>.`,name:"rescale_factor"},{anchor:"transformers.ConvNextImageProcessor.preprocess.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_normalize</code>) &#x2014;
Whether to normalize the image.`,name:"do_normalize"},{anchor:"transformers.ConvNextImageProcessor.preprocess.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_mean</code>) &#x2014;
Image mean.`,name:"image_mean"},{anchor:"transformers.ConvNextImageProcessor.preprocess.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_std</code>) &#x2014;
Image standard deviation.`,name:"image_std"},{anchor:"transformers.ConvNextImageProcessor.preprocess.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <code>TensorType</code>, <em>optional</em>) &#x2014;
The type of tensors to return. Can be one of:<ul>
<li>Unset: Return a list of <code>np.ndarray</code>.</li>
<li><code>TensorType.TENSORFLOW</code> or <code>&apos;tf&apos;</code>: Return a batch of type <code>tf.Tensor</code>.</li>
<li><code>TensorType.PYTORCH</code> or <code>&apos;pt&apos;</code>: Return a batch of type <code>torch.Tensor</code>.</li>
<li><code>TensorType.NUMPY</code> or <code>&apos;np&apos;</code>: Return a batch of type <code>np.ndarray</code>.</li>
<li><code>TensorType.JAX</code> or <code>&apos;jax&apos;</code>: Return a batch of type <code>jax.numpy.ndarray</code>.</li>
</ul>`,name:"return_tensors"},{anchor:"transformers.ConvNextImageProcessor.preprocess.data_format",description:`<strong>data_format</strong> (<code>ChannelDimension</code> or <code>str</code>, <em>optional</em>, defaults to <code>ChannelDimension.FIRST</code>) &#x2014;
The channel dimension format for the output image. Can be one of:<ul>
<li><code>ChannelDimension.FIRST</code>: image in (num_channels, height, width) format.</li>
<li><code>ChannelDimension.LAST</code>: image in (height, width, num_channels) format.</li>
</ul>`,name:"data_format"}],source:"https://github.com/huggingface/transformers/blob/vr_19952/src/transformers/models/convnext/image_processing_convnext.py#L204"}}),so=new st({}),no=new ze({props:{name:"class transformers.ConvNextModel",anchor:"transformers.ConvNextModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ConvNextModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_19952/en/model_doc/convnext#transformers.ConvNextConfig">ConvNextConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_19952/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_19952/src/transformers/models/convnext/modeling_convnext.py#L332"}}),io=new ze({props:{name:"forward",anchor:"transformers.ConvNextModel.forward",parameters:[{name:"pixel_values",val:": FloatTensor = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.ConvNextModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_19952/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/pr_19952/en/model_doc/mobilevit#transformers.MobileViTFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.ConvNextModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ConvNextModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_19952/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_19952/src/transformers/models/convnext/modeling_convnext.py#L346",returnDescription:`
<p>A <code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_19952/en/model_doc/convnext#transformers.ConvNextConfig"
>ConvNextConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state after a pooling operation on the spatial dimensions.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Et=new Yo({props:{$$slots:{default:[ki]},$$scope:{ctx:j}}}),It=new Es({props:{anchor:"transformers.ConvNextModel.forward.example",$$slots:{default:[Pi]},$$scope:{ctx:j}}}),lo=new st({}),co=new ze({props:{name:"class transformers.ConvNextForImageClassification",anchor:"transformers.ConvNextForImageClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ConvNextForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_19952/en/model_doc/convnext#transformers.ConvNextConfig">ConvNextConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_19952/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_19952/src/transformers/models/convnext/modeling_convnext.py#L398"}}),mo=new ze({props:{name:"forward",anchor:"transformers.ConvNextForImageClassification.forward",parameters:[{name:"pixel_values",val:": FloatTensor = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.ConvNextForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_19952/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/pr_19952/en/model_doc/mobilevit#transformers.MobileViTFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.ConvNextForImageClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ConvNextForImageClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_19952/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.ConvNextForImageClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_19952/src/transformers/models/convnext/modeling_convnext.py#L413",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_19952/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_19952/en/model_doc/convnext#transformers.ConvNextConfig"
>ConvNextConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</li>
<li><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</li>
<li><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each stage) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also
called feature maps) of the model at the output of each stage.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_19952/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Pt=new Yo({props:{$$slots:{default:[Fi]},$$scope:{ctx:j}}}),Ft=new Es({props:{anchor:"transformers.ConvNextForImageClassification.forward.example",$$slots:{default:[ji]},$$scope:{ctx:j}}}),ho=new st({}),uo=new ze({props:{name:"class transformers.TFConvNextModel",anchor:"transformers.TFConvNextModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFConvNextModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_19952/en/model_doc/convnext#transformers.ConvNextConfig">ConvNextConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_19952/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_19952/src/transformers/models/convnext/modeling_tf_convnext.py#L451"}}),At=new Yo({props:{$$slots:{default:[Ai]},$$scope:{ctx:j}}}),wo=new ze({props:{name:"call",anchor:"transformers.TFConvNextModel.call",parameters:[{name:"pixel_values",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": bool = False"}],parametersDescription:[{anchor:"transformers.TFConvNextModel.call.pixel_values",description:`<strong>pixel_values</strong> (<code>np.ndarray</code>, <code>tf.Tensor</code>, <code>List[tf.Tensor]</code> \`<code>Dict[str, tf.Tensor]</code> or <code>Dict[str, np.ndarray]</code> and each example must have the shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_19952/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/pr_19952/en/model_doc/mobilevit#transformers.MobileViTFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.TFConvNextModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFConvNextModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_19952/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_19952/src/transformers/models/convnext/modeling_tf_convnext.py#L456",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_19952/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_19952/en/model_doc/convnext#transformers.ConvNextConfig"
>ConvNextConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
<p>This output is usually <em>not</em> a good summary of the semantic content of the input, you\u2019re often better with
averaging or pooling the sequence of hidden-states for the whole input sequence.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_19952/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Mt=new Yo({props:{$$slots:{default:[Mi]},$$scope:{ctx:j}}}),qt=new Es({props:{anchor:"transformers.TFConvNextModel.call.example",$$slots:{default:[qi]},$$scope:{ctx:j}}}),yo=new st({}),bo=new ze({props:{name:"class transformers.TFConvNextForImageClassification",anchor:"transformers.TFConvNextForImageClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFConvNextForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_19952/en/model_doc/convnext#transformers.ConvNextConfig">ConvNextConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_19952/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_19952/src/transformers/models/convnext/modeling_tf_convnext.py#L526"}}),Dt=new Yo({props:{$$slots:{default:[zi]},$$scope:{ctx:j}}}),To=new ze({props:{name:"call",anchor:"transformers.TFConvNextForImageClassification.call",parameters:[{name:"pixel_values",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFConvNextForImageClassification.call.pixel_values",description:`<strong>pixel_values</strong> (<code>np.ndarray</code>, <code>tf.Tensor</code>, <code>List[tf.Tensor]</code> \`<code>Dict[str, tf.Tensor]</code> or <code>Dict[str, np.ndarray]</code> and each example must have the shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_19952/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/pr_19952/en/model_doc/mobilevit#transformers.MobileViTFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.TFConvNextForImageClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFConvNextForImageClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_19952/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFConvNextForImageClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> or <code>np.ndarray</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_19952/src/transformers/models/convnext/modeling_tf_convnext.py#L541",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_19952/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_19952/en/model_doc/convnext#transformers.ConvNextConfig"
>ConvNextConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_19952/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Ot=new Yo({props:{$$slots:{default:[Di]},$$scope:{ctx:j}}}),Lt=new Es({props:{anchor:"transformers.TFConvNextForImageClassification.call.example",$$slots:{default:[Oi]},$$scope:{ctx:j}}}),{c(){d=s("meta"),y=p(),_=s("h1"),g=s("a"),w=s("span"),x(l.$$.fragment),h=p(),P=s("span"),De=r("ConvNeXT"),be=p(),z=s("h2"),Y=s("a"),ee=s("span"),x(b.$$.fragment),Oe=p(),X=s("span"),Le=r("Overview"),xe=p(),L=s("p"),Se=r("The ConvNeXT model was proposed in "),te=s("a"),oe=r("A ConvNet for the 2020s"),Re=r(` by Zhuang Liu, Hanzi Mao, Chao-Yuan Wu, Christoph Feichtenhofer, Trevor Darrell, Saining Xie.
ConvNeXT is a pure convolutional model (ConvNet), inspired by the design of Vision Transformers, that claims to outperform them.`),Ce=p(),W=s("p"),We=r("The abstract from the paper is the following:"),$e=p(),U=s("p"),ue=s("em"),Ue=r(`The \u201CRoaring 20s\u201D of visual recognition began with the introduction of Vision Transformers (ViTs), which quickly superseded ConvNets as the state-of-the-art image classification model.
A vanilla ViT, on the other hand, faces difficulties when applied to general computer vision tasks such as object detection and semantic segmentation. It is the hierarchical Transformers
(e.g., Swin Transformers) that reintroduced several ConvNet priors, making Transformers practically viable as a generic vision backbone and demonstrating remarkable performance on a wide
variety of vision tasks. However, the effectiveness of such hybrid approaches is still largely credited to the intrinsic superiority of Transformers, rather than the inherent inductive
biases of convolutions. In this work, we reexamine the design spaces and test the limits of what a pure ConvNet can achieve. We gradually \u201Cmodernize\u201D a standard ResNet toward the design
of a vision Transformer, and discover several key components that contribute to the performance difference along the way. The outcome of this exploration is a family of pure ConvNet models
dubbed ConvNeXt. Constructed entirely from standard ConvNet modules, ConvNeXts compete favorably with Transformers in terms of accuracy and scalability, achieving 87.8% ImageNet top-1 accuracy
and outperforming Swin Transformers on COCO detection and ADE20K segmentation, while maintaining the simplicity and efficiency of standard ConvNets.`),pe=p(),F=s("p"),D=r("Tips:"),Te=p(),H=s("ul"),ge=s("li"),He=r("See the code examples below each model regarding usage."),J=p(),Z=s("img"),q=p(),Q=s("small"),se=r("ConvNeXT architecture. Taken from the "),fe=s("a"),Xe=r("original paper"),ne=r("."),Ne=p(),A=s("p"),K=r("This model was contributed by "),ae=s("a"),re=r("nielsr"),Ke=r(". TensorFlow version of the model was contributed by "),V=s("a"),O=r("ariG23498"),Ve=r(`,
`),M=s("a"),Be=r("gante"),Ge=r(", and "),v=s("a"),I=r("sayakpaul"),nt=r(" (equal contribution). The original code can be found "),B=s("a"),at=r("here"),rt=r("."),k=p(),ie=s("h2"),me=s("a"),Ye=s("span"),x(_e.$$.fragment),it=p(),R=s("span"),le=r("Resources"),et=p(),Ee=s("p"),ce=r("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with ConvNeXT."),tt=p(),x(ve.$$.fragment),Ie=p(),he=s("ul"),S=s("li"),ke=s("a"),dn=r("ConvNextForImageClassification"),pn=r(" is supported by this "),Kt=s("a"),fn=r("example script"),mn=r(" and "),Vt=s("a"),hn=r("notebook"),un=r("."),gn=p(),Po=s("li"),_n=r("See also: "),Fo=s("a"),vn=r("Image classification task guide"),Ps=p(),jo=s("p"),wn=r("If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Fs=p(),lt=s("h2"),bt=s("a"),Jo=s("span"),x(Bt.$$.fragment),yn=p(),Zo=s("span"),bn=r("ConvNextConfig"),js=p(),we=s("div"),x(Gt.$$.fragment),xn=p(),ct=s("p"),Cn=r("This is the configuration class to store the configuration of a "),Ao=s("a"),$n=r("ConvNextModel"),Tn=r(`. It is used to instantiate an
ConvNeXT model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the ConvNeXT
`),Yt=s("a"),Nn=r("facebook/convnext-tiny-224"),En=r(" architecture."),In=p(),dt=s("p"),kn=r("Configuration objects inherit from "),Mo=s("a"),Pn=r("PretrainedConfig"),Fn=r(` and can be used to control the model outputs. Read the
documentation from `),qo=s("a"),jn=r("PretrainedConfig"),An=r(" for more information."),Mn=p(),x(xt.$$.fragment),As=p(),pt=s("h2"),Ct=s("a"),Qo=s("span"),x(Jt.$$.fragment),qn=p(),es=s("span"),zn=r("ConvNextFeatureExtractor"),Ms=p(),Zt=s("div"),x(Qt.$$.fragment),qs=p(),ft=s("h2"),$t=s("a"),ts=s("span"),x(eo.$$.fragment),Dn=p(),os=s("span"),On=r("ConvNextImageProcessor"),zs=p(),Je=s("div"),x(to.$$.fragment),Ln=p(),ss=s("p"),Sn=r("Constructs a ConvNeXT image processor."),Rn=p(),Tt=s("div"),x(oo.$$.fragment),Wn=p(),ns=s("p"),Un=r("Preprocess an image or batch of images."),Ds=p(),mt=s("h2"),Nt=s("a"),as=s("span"),x(so.$$.fragment),Hn=p(),rs=s("span"),Xn=r("ConvNextModel"),Os=p(),Ze=s("div"),x(no.$$.fragment),Kn=p(),ao=s("p"),Vn=r(`The bare ConvNext model outputting raw features without any specific head on top.
This model is a PyTorch `),ro=s("a"),Bn=r("torch.nn.Module"),Gn=r(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Yn=p(),Pe=s("div"),x(io.$$.fragment),Jn=p(),ht=s("p"),Zn=r("The "),zo=s("a"),Qn=r("ConvNextModel"),ea=r(" forward method, overrides the "),is=s("code"),ta=r("__call__"),oa=r(" special method."),sa=p(),x(Et.$$.fragment),na=p(),x(It.$$.fragment),Ls=p(),ut=s("h2"),kt=s("a"),ls=s("span"),x(lo.$$.fragment),aa=p(),cs=s("span"),ra=r("ConvNextForImageClassification"),Ss=p(),ye=s("div"),x(co.$$.fragment),ia=p(),ds=s("p"),la=r(`ConvNext Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),ca=p(),po=s("p"),da=r("This model is a PyTorch "),fo=s("a"),pa=r("torch.nn.Module"),fa=r(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ma=p(),Fe=s("div"),x(mo.$$.fragment),ha=p(),gt=s("p"),ua=r("The "),Do=s("a"),ga=r("ConvNextForImageClassification"),_a=r(" forward method, overrides the "),ps=s("code"),va=r("__call__"),wa=r(" special method."),ya=p(),x(Pt.$$.fragment),ba=p(),x(Ft.$$.fragment),Rs=p(),_t=s("h2"),jt=s("a"),fs=s("span"),x(ho.$$.fragment),xa=p(),ms=s("span"),Ca=r("TFConvNextModel"),Ws=p(),de=s("div"),x(uo.$$.fragment),$a=p(),go=s("p"),Ta=r(`The bare ConvNext model outputting raw features without any specific head on top.
This model inherits from `),Oo=s("a"),Na=r("TFPreTrainedModel"),Ea=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ia=p(),_o=s("p"),ka=r("This model is also a "),vo=s("a"),Pa=r("tf.keras.Model"),Fa=r(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),ja=p(),x(At.$$.fragment),Aa=p(),je=s("div"),x(wo.$$.fragment),Ma=p(),vt=s("p"),qa=r("The "),Lo=s("a"),za=r("TFConvNextModel"),Da=r(" forward method, overrides the "),hs=s("code"),Oa=r("__call__"),La=r(" special method."),Sa=p(),x(Mt.$$.fragment),Ra=p(),x(qt.$$.fragment),Us=p(),wt=s("h2"),zt=s("a"),us=s("span"),x(yo.$$.fragment),Wa=p(),gs=s("span"),Ua=r("TFConvNextForImageClassification"),Hs=p(),G=s("div"),x(bo.$$.fragment),Ha=p(),_s=s("p"),Xa=r(`ConvNext Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),Ka=p(),xo=s("p"),Va=r("This model inherits from "),So=s("a"),Ba=r("TFPreTrainedModel"),Ga=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ya=p(),Co=s("p"),Ja=r("This model is also a "),$o=s("a"),Za=r("tf.keras.Model"),Qa=r(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),er=p(),x(Dt.$$.fragment),tr=p(),Ae=s("div"),x(To.$$.fragment),or=p(),yt=s("p"),sr=r("The "),Ro=s("a"),nr=r("TFConvNextForImageClassification"),ar=r(" forward method, overrides the "),vs=s("code"),rr=r("__call__"),ir=r(" special method."),lr=p(),x(Ot.$$.fragment),cr=p(),x(Lt.$$.fragment),this.h()},l(o){const u=$i('[data-svelte="svelte-1phssyn"]',document.head);d=n(u,"META",{name:!0,content:!0}),u.forEach(t),y=f(o),_=n(o,"H1",{class:!0});var No=a(_);g=n(No,"A",{id:!0,class:!0,href:!0});var ws=a(g);w=n(ws,"SPAN",{});var ys=a(w);C(l.$$.fragment,ys),ys.forEach(t),ws.forEach(t),h=f(No),P=n(No,"SPAN",{});var bs=a(P);De=i(bs,"ConvNeXT"),bs.forEach(t),No.forEach(t),be=f(o),z=n(o,"H2",{class:!0});var Eo=a(z);Y=n(Eo,"A",{id:!0,class:!0,href:!0});var xs=a(Y);ee=n(xs,"SPAN",{});var Cs=a(ee);C(b.$$.fragment,Cs),Cs.forEach(t),xs.forEach(t),Oe=f(Eo),X=n(Eo,"SPAN",{});var $s=a(X);Le=i($s,"Overview"),$s.forEach(t),Eo.forEach(t),xe=f(o),L=n(o,"P",{});var Io=a(L);Se=i(Io,"The ConvNeXT model was proposed in "),te=n(Io,"A",{href:!0,rel:!0});var Ts=a(te);oe=i(Ts,"A ConvNet for the 2020s"),Ts.forEach(t),Re=i(Io,` by Zhuang Liu, Hanzi Mao, Chao-Yuan Wu, Christoph Feichtenhofer, Trevor Darrell, Saining Xie.
ConvNeXT is a pure convolutional model (ConvNet), inspired by the design of Vision Transformers, that claims to outperform them.`),Io.forEach(t),Ce=f(o),W=n(o,"P",{});var Ns=a(W);We=i(Ns,"The abstract from the paper is the following:"),Ns.forEach(t),$e=f(o),U=n(o,"P",{});var pr=a(U);ue=n(pr,"EM",{});var fr=a(ue);Ue=i(fr,`The \u201CRoaring 20s\u201D of visual recognition began with the introduction of Vision Transformers (ViTs), which quickly superseded ConvNets as the state-of-the-art image classification model.
A vanilla ViT, on the other hand, faces difficulties when applied to general computer vision tasks such as object detection and semantic segmentation. It is the hierarchical Transformers
(e.g., Swin Transformers) that reintroduced several ConvNet priors, making Transformers practically viable as a generic vision backbone and demonstrating remarkable performance on a wide
variety of vision tasks. However, the effectiveness of such hybrid approaches is still largely credited to the intrinsic superiority of Transformers, rather than the inherent inductive
biases of convolutions. In this work, we reexamine the design spaces and test the limits of what a pure ConvNet can achieve. We gradually \u201Cmodernize\u201D a standard ResNet toward the design
of a vision Transformer, and discover several key components that contribute to the performance difference along the way. The outcome of this exploration is a family of pure ConvNet models
dubbed ConvNeXt. Constructed entirely from standard ConvNet modules, ConvNeXts compete favorably with Transformers in terms of accuracy and scalability, achieving 87.8% ImageNet top-1 accuracy
and outperforming Swin Transformers on COCO detection and ADE20K segmentation, while maintaining the simplicity and efficiency of standard ConvNets.`),fr.forEach(t),pr.forEach(t),pe=f(o),F=n(o,"P",{});var mr=a(F);D=i(mr,"Tips:"),mr.forEach(t),Te=f(o),H=n(o,"UL",{});var hr=a(H);ge=n(hr,"LI",{});var ur=a(ge);He=i(ur,"See the code examples below each model regarding usage."),ur.forEach(t),hr.forEach(t),J=f(o),Z=n(o,"IMG",{src:!0,alt:!0,width:!0}),q=f(o),Q=n(o,"SMALL",{});var Ks=a(Q);se=i(Ks,"ConvNeXT architecture. Taken from the "),fe=n(Ks,"A",{href:!0});var gr=a(fe);Xe=i(gr,"original paper"),gr.forEach(t),ne=i(Ks,"."),Ks.forEach(t),Ne=f(o),A=n(o,"P",{});var Me=a(A);K=i(Me,"This model was contributed by "),ae=n(Me,"A",{href:!0,rel:!0});var _r=a(ae);re=i(_r,"nielsr"),_r.forEach(t),Ke=i(Me,". TensorFlow version of the model was contributed by "),V=n(Me,"A",{href:!0,rel:!0});var vr=a(V);O=i(vr,"ariG23498"),vr.forEach(t),Ve=i(Me,`,
`),M=n(Me,"A",{href:!0,rel:!0});var wr=a(M);Be=i(wr,"gante"),wr.forEach(t),Ge=i(Me,", and "),v=n(Me,"A",{href:!0,rel:!0});var yr=a(v);I=i(yr,"sayakpaul"),yr.forEach(t),nt=i(Me," (equal contribution). The original code can be found "),B=n(Me,"A",{href:!0,rel:!0});var br=a(B);at=i(br,"here"),br.forEach(t),rt=i(Me,"."),Me.forEach(t),k=f(o),ie=n(o,"H2",{class:!0});var Vs=a(ie);me=n(Vs,"A",{id:!0,class:!0,href:!0});var xr=a(me);Ye=n(xr,"SPAN",{});var Cr=a(Ye);C(_e.$$.fragment,Cr),Cr.forEach(t),xr.forEach(t),it=f(Vs),R=n(Vs,"SPAN",{});var $r=a(R);le=i($r,"Resources"),$r.forEach(t),Vs.forEach(t),et=f(o),Ee=n(o,"P",{});var Tr=a(Ee);ce=i(Tr,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with ConvNeXT."),Tr.forEach(t),tt=f(o),C(ve.$$.fragment,o),Ie=f(o),he=n(o,"UL",{});var Bs=a(he);S=n(Bs,"LI",{});var ko=a(S);ke=n(ko,"A",{href:!0});var Nr=a(ke);dn=i(Nr,"ConvNextForImageClassification"),Nr.forEach(t),pn=i(ko," is supported by this "),Kt=n(ko,"A",{href:!0,rel:!0});var Er=a(Kt);fn=i(Er,"example script"),Er.forEach(t),mn=i(ko," and "),Vt=n(ko,"A",{href:!0,rel:!0});var Ir=a(Vt);hn=i(Ir,"notebook"),Ir.forEach(t),un=i(ko,"."),ko.forEach(t),gn=f(Bs),Po=n(Bs,"LI",{});var dr=a(Po);_n=i(dr,"See also: "),Fo=n(dr,"A",{href:!0});var kr=a(Fo);vn=i(kr,"Image classification task guide"),kr.forEach(t),dr.forEach(t),Bs.forEach(t),Ps=f(o),jo=n(o,"P",{});var Pr=a(jo);wn=i(Pr,"If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Pr.forEach(t),Fs=f(o),lt=n(o,"H2",{class:!0});var Gs=a(lt);bt=n(Gs,"A",{id:!0,class:!0,href:!0});var Fr=a(bt);Jo=n(Fr,"SPAN",{});var jr=a(Jo);C(Bt.$$.fragment,jr),jr.forEach(t),Fr.forEach(t),yn=f(Gs),Zo=n(Gs,"SPAN",{});var Ar=a(Zo);bn=i(Ar,"ConvNextConfig"),Ar.forEach(t),Gs.forEach(t),js=f(o),we=n(o,"DIV",{class:!0});var St=a(we);C(Gt.$$.fragment,St),xn=f(St),ct=n(St,"P",{});var Wo=a(ct);Cn=i(Wo,"This is the configuration class to store the configuration of a "),Ao=n(Wo,"A",{href:!0});var Mr=a(Ao);$n=i(Mr,"ConvNextModel"),Mr.forEach(t),Tn=i(Wo,`. It is used to instantiate an
ConvNeXT model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the ConvNeXT
`),Yt=n(Wo,"A",{href:!0,rel:!0});var qr=a(Yt);Nn=i(qr,"facebook/convnext-tiny-224"),qr.forEach(t),En=i(Wo," architecture."),Wo.forEach(t),In=f(St),dt=n(St,"P",{});var Uo=a(dt);kn=i(Uo,"Configuration objects inherit from "),Mo=n(Uo,"A",{href:!0});var zr=a(Mo);Pn=i(zr,"PretrainedConfig"),zr.forEach(t),Fn=i(Uo,` and can be used to control the model outputs. Read the
documentation from `),qo=n(Uo,"A",{href:!0});var Dr=a(qo);jn=i(Dr,"PretrainedConfig"),Dr.forEach(t),An=i(Uo," for more information."),Uo.forEach(t),Mn=f(St),C(xt.$$.fragment,St),St.forEach(t),As=f(o),pt=n(o,"H2",{class:!0});var Ys=a(pt);Ct=n(Ys,"A",{id:!0,class:!0,href:!0});var Or=a(Ct);Qo=n(Or,"SPAN",{});var Lr=a(Qo);C(Jt.$$.fragment,Lr),Lr.forEach(t),Or.forEach(t),qn=f(Ys),es=n(Ys,"SPAN",{});var Sr=a(es);zn=i(Sr,"ConvNextFeatureExtractor"),Sr.forEach(t),Ys.forEach(t),Ms=f(o),Zt=n(o,"DIV",{class:!0});var Rr=a(Zt);C(Qt.$$.fragment,Rr),Rr.forEach(t),qs=f(o),ft=n(o,"H2",{class:!0});var Js=a(ft);$t=n(Js,"A",{id:!0,class:!0,href:!0});var Wr=a($t);ts=n(Wr,"SPAN",{});var Ur=a(ts);C(eo.$$.fragment,Ur),Ur.forEach(t),Wr.forEach(t),Dn=f(Js),os=n(Js,"SPAN",{});var Hr=a(os);On=i(Hr,"ConvNextImageProcessor"),Hr.forEach(t),Js.forEach(t),zs=f(o),Je=n(o,"DIV",{class:!0});var Ho=a(Je);C(to.$$.fragment,Ho),Ln=f(Ho),ss=n(Ho,"P",{});var Xr=a(ss);Sn=i(Xr,"Constructs a ConvNeXT image processor."),Xr.forEach(t),Rn=f(Ho),Tt=n(Ho,"DIV",{class:!0});var Zs=a(Tt);C(oo.$$.fragment,Zs),Wn=f(Zs),ns=n(Zs,"P",{});var Kr=a(ns);Un=i(Kr,"Preprocess an image or batch of images."),Kr.forEach(t),Zs.forEach(t),Ho.forEach(t),Ds=f(o),mt=n(o,"H2",{class:!0});var Qs=a(mt);Nt=n(Qs,"A",{id:!0,class:!0,href:!0});var Vr=a(Nt);as=n(Vr,"SPAN",{});var Br=a(as);C(so.$$.fragment,Br),Br.forEach(t),Vr.forEach(t),Hn=f(Qs),rs=n(Qs,"SPAN",{});var Gr=a(rs);Xn=i(Gr,"ConvNextModel"),Gr.forEach(t),Qs.forEach(t),Os=f(o),Ze=n(o,"DIV",{class:!0});var Xo=a(Ze);C(no.$$.fragment,Xo),Kn=f(Xo),ao=n(Xo,"P",{});var en=a(ao);Vn=i(en,`The bare ConvNext model outputting raw features without any specific head on top.
This model is a PyTorch `),ro=n(en,"A",{href:!0,rel:!0});var Yr=a(ro);Bn=i(Yr,"torch.nn.Module"),Yr.forEach(t),Gn=i(en,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),en.forEach(t),Yn=f(Xo),Pe=n(Xo,"DIV",{class:!0});var Rt=a(Pe);C(io.$$.fragment,Rt),Jn=f(Rt),ht=n(Rt,"P",{});var Ko=a(ht);Zn=i(Ko,"The "),zo=n(Ko,"A",{href:!0});var Jr=a(zo);Qn=i(Jr,"ConvNextModel"),Jr.forEach(t),ea=i(Ko," forward method, overrides the "),is=n(Ko,"CODE",{});var Zr=a(is);ta=i(Zr,"__call__"),Zr.forEach(t),oa=i(Ko," special method."),Ko.forEach(t),sa=f(Rt),C(Et.$$.fragment,Rt),na=f(Rt),C(It.$$.fragment,Rt),Rt.forEach(t),Xo.forEach(t),Ls=f(o),ut=n(o,"H2",{class:!0});var tn=a(ut);kt=n(tn,"A",{id:!0,class:!0,href:!0});var Qr=a(kt);ls=n(Qr,"SPAN",{});var ei=a(ls);C(lo.$$.fragment,ei),ei.forEach(t),Qr.forEach(t),aa=f(tn),cs=n(tn,"SPAN",{});var ti=a(cs);ra=i(ti,"ConvNextForImageClassification"),ti.forEach(t),tn.forEach(t),Ss=f(o),ye=n(o,"DIV",{class:!0});var Wt=a(ye);C(co.$$.fragment,Wt),ia=f(Wt),ds=n(Wt,"P",{});var oi=a(ds);la=i(oi,`ConvNext Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),oi.forEach(t),ca=f(Wt),po=n(Wt,"P",{});var on=a(po);da=i(on,"This model is a PyTorch "),fo=n(on,"A",{href:!0,rel:!0});var si=a(fo);pa=i(si,"torch.nn.Module"),si.forEach(t),fa=i(on,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),on.forEach(t),ma=f(Wt),Fe=n(Wt,"DIV",{class:!0});var Ut=a(Fe);C(mo.$$.fragment,Ut),ha=f(Ut),gt=n(Ut,"P",{});var Vo=a(gt);ua=i(Vo,"The "),Do=n(Vo,"A",{href:!0});var ni=a(Do);ga=i(ni,"ConvNextForImageClassification"),ni.forEach(t),_a=i(Vo," forward method, overrides the "),ps=n(Vo,"CODE",{});var ai=a(ps);va=i(ai,"__call__"),ai.forEach(t),wa=i(Vo," special method."),Vo.forEach(t),ya=f(Ut),C(Pt.$$.fragment,Ut),ba=f(Ut),C(Ft.$$.fragment,Ut),Ut.forEach(t),Wt.forEach(t),Rs=f(o),_t=n(o,"H2",{class:!0});var sn=a(_t);jt=n(sn,"A",{id:!0,class:!0,href:!0});var ri=a(jt);fs=n(ri,"SPAN",{});var ii=a(fs);C(ho.$$.fragment,ii),ii.forEach(t),ri.forEach(t),xa=f(sn),ms=n(sn,"SPAN",{});var li=a(ms);Ca=i(li,"TFConvNextModel"),li.forEach(t),sn.forEach(t),Ws=f(o),de=n(o,"DIV",{class:!0});var ot=a(de);C(uo.$$.fragment,ot),$a=f(ot),go=n(ot,"P",{});var nn=a(go);Ta=i(nn,`The bare ConvNext model outputting raw features without any specific head on top.
This model inherits from `),Oo=n(nn,"A",{href:!0});var ci=a(Oo);Na=i(ci,"TFPreTrainedModel"),ci.forEach(t),Ea=i(nn,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),nn.forEach(t),Ia=f(ot),_o=n(ot,"P",{});var an=a(_o);ka=i(an,"This model is also a "),vo=n(an,"A",{href:!0,rel:!0});var di=a(vo);Pa=i(di,"tf.keras.Model"),di.forEach(t),Fa=i(an,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),an.forEach(t),ja=f(ot),C(At.$$.fragment,ot),Aa=f(ot),je=n(ot,"DIV",{class:!0});var Ht=a(je);C(wo.$$.fragment,Ht),Ma=f(Ht),vt=n(Ht,"P",{});var Bo=a(vt);qa=i(Bo,"The "),Lo=n(Bo,"A",{href:!0});var pi=a(Lo);za=i(pi,"TFConvNextModel"),pi.forEach(t),Da=i(Bo," forward method, overrides the "),hs=n(Bo,"CODE",{});var fi=a(hs);Oa=i(fi,"__call__"),fi.forEach(t),La=i(Bo," special method."),Bo.forEach(t),Sa=f(Ht),C(Mt.$$.fragment,Ht),Ra=f(Ht),C(qt.$$.fragment,Ht),Ht.forEach(t),ot.forEach(t),Us=f(o),wt=n(o,"H2",{class:!0});var rn=a(wt);zt=n(rn,"A",{id:!0,class:!0,href:!0});var mi=a(zt);us=n(mi,"SPAN",{});var hi=a(us);C(yo.$$.fragment,hi),hi.forEach(t),mi.forEach(t),Wa=f(rn),gs=n(rn,"SPAN",{});var ui=a(gs);Ua=i(ui,"TFConvNextForImageClassification"),ui.forEach(t),rn.forEach(t),Hs=f(o),G=n(o,"DIV",{class:!0});var qe=a(G);C(bo.$$.fragment,qe),Ha=f(qe),_s=n(qe,"P",{});var gi=a(_s);Xa=i(gi,`ConvNext Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),gi.forEach(t),Ka=f(qe),xo=n(qe,"P",{});var ln=a(xo);Va=i(ln,"This model inherits from "),So=n(ln,"A",{href:!0});var _i=a(So);Ba=i(_i,"TFPreTrainedModel"),_i.forEach(t),Ga=i(ln,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ln.forEach(t),Ya=f(qe),Co=n(qe,"P",{});var cn=a(Co);Ja=i(cn,"This model is also a "),$o=n(cn,"A",{href:!0,rel:!0});var vi=a($o);Za=i(vi,"tf.keras.Model"),vi.forEach(t),Qa=i(cn,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),cn.forEach(t),er=f(qe),C(Dt.$$.fragment,qe),tr=f(qe),Ae=n(qe,"DIV",{class:!0});var Xt=a(Ae);C(To.$$.fragment,Xt),or=f(Xt),yt=n(Xt,"P",{});var Go=a(yt);sr=i(Go,"The "),Ro=n(Go,"A",{href:!0});var wi=a(Ro);nr=i(wi,"TFConvNextForImageClassification"),wi.forEach(t),ar=i(Go," forward method, overrides the "),vs=n(Go,"CODE",{});var yi=a(vs);rr=i(yi,"__call__"),yi.forEach(t),ir=i(Go," special method."),Go.forEach(t),lr=f(Xt),C(Ot.$$.fragment,Xt),cr=f(Xt),C(Lt.$$.fragment,Xt),Xt.forEach(t),qe.forEach(t),this.h()},h(){c(d,"name","hf:doc:metadata"),c(d,"content",JSON.stringify(Si)),c(g,"id","convnext"),c(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(g,"href","#convnext"),c(_,"class","relative group"),c(Y,"id","overview"),c(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Y,"href","#overview"),c(z,"class","relative group"),c(te,"href","https://arxiv.org/abs/2201.03545"),c(te,"rel","nofollow"),Ti(Z.src,Qe="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/convnext_architecture.jpg")||c(Z,"src",Qe),c(Z,"alt","drawing"),c(Z,"width","600"),c(fe,"href","https://arxiv.org/abs/2201.03545"),c(ae,"href","https://huggingface.co/nielsr"),c(ae,"rel","nofollow"),c(V,"href","https://github.com/ariG23498"),c(V,"rel","nofollow"),c(M,"href","https://github.com/gante"),c(M,"rel","nofollow"),c(v,"href","https://github.com/sayakpaul"),c(v,"rel","nofollow"),c(B,"href","https://github.com/facebookresearch/ConvNeXt"),c(B,"rel","nofollow"),c(me,"id","resources"),c(me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(me,"href","#resources"),c(ie,"class","relative group"),c(ke,"href","/docs/transformers/pr_19952/en/model_doc/convnext#transformers.ConvNextForImageClassification"),c(Kt,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/image-classification"),c(Kt,"rel","nofollow"),c(Vt,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/image_classification.ipynb"),c(Vt,"rel","nofollow"),c(Fo,"href","../tasks/image_classification"),c(bt,"id","transformers.ConvNextConfig"),c(bt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(bt,"href","#transformers.ConvNextConfig"),c(lt,"class","relative group"),c(Ao,"href","/docs/transformers/pr_19952/en/model_doc/convnext#transformers.ConvNextModel"),c(Yt,"href","https://huggingface.co/facebook/convnext-tiny-224"),c(Yt,"rel","nofollow"),c(Mo,"href","/docs/transformers/pr_19952/en/main_classes/configuration#transformers.PretrainedConfig"),c(qo,"href","/docs/transformers/pr_19952/en/main_classes/configuration#transformers.PretrainedConfig"),c(we,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ct,"id","transformers.ConvNextFeatureExtractor"),c(Ct,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ct,"href","#transformers.ConvNextFeatureExtractor"),c(pt,"class","relative group"),c(Zt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c($t,"id","transformers.ConvNextImageProcessor"),c($t,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c($t,"href","#transformers.ConvNextImageProcessor"),c(ft,"class","relative group"),c(Tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Nt,"id","transformers.ConvNextModel"),c(Nt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Nt,"href","#transformers.ConvNextModel"),c(mt,"class","relative group"),c(ro,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(ro,"rel","nofollow"),c(zo,"href","/docs/transformers/pr_19952/en/model_doc/convnext#transformers.ConvNextModel"),c(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(kt,"id","transformers.ConvNextForImageClassification"),c(kt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(kt,"href","#transformers.ConvNextForImageClassification"),c(ut,"class","relative group"),c(fo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(fo,"rel","nofollow"),c(Do,"href","/docs/transformers/pr_19952/en/model_doc/convnext#transformers.ConvNextForImageClassification"),c(Fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(jt,"id","transformers.TFConvNextModel"),c(jt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(jt,"href","#transformers.TFConvNextModel"),c(_t,"class","relative group"),c(Oo,"href","/docs/transformers/pr_19952/en/main_classes/model#transformers.TFPreTrainedModel"),c(vo,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(vo,"rel","nofollow"),c(Lo,"href","/docs/transformers/pr_19952/en/model_doc/convnext#transformers.TFConvNextModel"),c(je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(zt,"id","transformers.TFConvNextForImageClassification"),c(zt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(zt,"href","#transformers.TFConvNextForImageClassification"),c(wt,"class","relative group"),c(So,"href","/docs/transformers/pr_19952/en/main_classes/model#transformers.TFPreTrainedModel"),c($o,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c($o,"rel","nofollow"),c(Ro,"href","/docs/transformers/pr_19952/en/model_doc/convnext#transformers.TFConvNextForImageClassification"),c(Ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,u){e(document.head,d),m(o,y,u),m(o,_,u),e(_,g),e(g,w),$(l,w,null),e(_,h),e(_,P),e(P,De),m(o,be,u),m(o,z,u),e(z,Y),e(Y,ee),$(b,ee,null),e(z,Oe),e(z,X),e(X,Le),m(o,xe,u),m(o,L,u),e(L,Se),e(L,te),e(te,oe),e(L,Re),m(o,Ce,u),m(o,W,u),e(W,We),m(o,$e,u),m(o,U,u),e(U,ue),e(ue,Ue),m(o,pe,u),m(o,F,u),e(F,D),m(o,Te,u),m(o,H,u),e(H,ge),e(ge,He),m(o,J,u),m(o,Z,u),m(o,q,u),m(o,Q,u),e(Q,se),e(Q,fe),e(fe,Xe),e(Q,ne),m(o,Ne,u),m(o,A,u),e(A,K),e(A,ae),e(ae,re),e(A,Ke),e(A,V),e(V,O),e(A,Ve),e(A,M),e(M,Be),e(A,Ge),e(A,v),e(v,I),e(A,nt),e(A,B),e(B,at),e(A,rt),m(o,k,u),m(o,ie,u),e(ie,me),e(me,Ye),$(_e,Ye,null),e(ie,it),e(ie,R),e(R,le),m(o,et,u),m(o,Ee,u),e(Ee,ce),m(o,tt,u),$(ve,o,u),m(o,Ie,u),m(o,he,u),e(he,S),e(S,ke),e(ke,dn),e(S,pn),e(S,Kt),e(Kt,fn),e(S,mn),e(S,Vt),e(Vt,hn),e(S,un),e(he,gn),e(he,Po),e(Po,_n),e(Po,Fo),e(Fo,vn),m(o,Ps,u),m(o,jo,u),e(jo,wn),m(o,Fs,u),m(o,lt,u),e(lt,bt),e(bt,Jo),$(Bt,Jo,null),e(lt,yn),e(lt,Zo),e(Zo,bn),m(o,js,u),m(o,we,u),$(Gt,we,null),e(we,xn),e(we,ct),e(ct,Cn),e(ct,Ao),e(Ao,$n),e(ct,Tn),e(ct,Yt),e(Yt,Nn),e(ct,En),e(we,In),e(we,dt),e(dt,kn),e(dt,Mo),e(Mo,Pn),e(dt,Fn),e(dt,qo),e(qo,jn),e(dt,An),e(we,Mn),$(xt,we,null),m(o,As,u),m(o,pt,u),e(pt,Ct),e(Ct,Qo),$(Jt,Qo,null),e(pt,qn),e(pt,es),e(es,zn),m(o,Ms,u),m(o,Zt,u),$(Qt,Zt,null),m(o,qs,u),m(o,ft,u),e(ft,$t),e($t,ts),$(eo,ts,null),e(ft,Dn),e(ft,os),e(os,On),m(o,zs,u),m(o,Je,u),$(to,Je,null),e(Je,Ln),e(Je,ss),e(ss,Sn),e(Je,Rn),e(Je,Tt),$(oo,Tt,null),e(Tt,Wn),e(Tt,ns),e(ns,Un),m(o,Ds,u),m(o,mt,u),e(mt,Nt),e(Nt,as),$(so,as,null),e(mt,Hn),e(mt,rs),e(rs,Xn),m(o,Os,u),m(o,Ze,u),$(no,Ze,null),e(Ze,Kn),e(Ze,ao),e(ao,Vn),e(ao,ro),e(ro,Bn),e(ao,Gn),e(Ze,Yn),e(Ze,Pe),$(io,Pe,null),e(Pe,Jn),e(Pe,ht),e(ht,Zn),e(ht,zo),e(zo,Qn),e(ht,ea),e(ht,is),e(is,ta),e(ht,oa),e(Pe,sa),$(Et,Pe,null),e(Pe,na),$(It,Pe,null),m(o,Ls,u),m(o,ut,u),e(ut,kt),e(kt,ls),$(lo,ls,null),e(ut,aa),e(ut,cs),e(cs,ra),m(o,Ss,u),m(o,ye,u),$(co,ye,null),e(ye,ia),e(ye,ds),e(ds,la),e(ye,ca),e(ye,po),e(po,da),e(po,fo),e(fo,pa),e(po,fa),e(ye,ma),e(ye,Fe),$(mo,Fe,null),e(Fe,ha),e(Fe,gt),e(gt,ua),e(gt,Do),e(Do,ga),e(gt,_a),e(gt,ps),e(ps,va),e(gt,wa),e(Fe,ya),$(Pt,Fe,null),e(Fe,ba),$(Ft,Fe,null),m(o,Rs,u),m(o,_t,u),e(_t,jt),e(jt,fs),$(ho,fs,null),e(_t,xa),e(_t,ms),e(ms,Ca),m(o,Ws,u),m(o,de,u),$(uo,de,null),e(de,$a),e(de,go),e(go,Ta),e(go,Oo),e(Oo,Na),e(go,Ea),e(de,Ia),e(de,_o),e(_o,ka),e(_o,vo),e(vo,Pa),e(_o,Fa),e(de,ja),$(At,de,null),e(de,Aa),e(de,je),$(wo,je,null),e(je,Ma),e(je,vt),e(vt,qa),e(vt,Lo),e(Lo,za),e(vt,Da),e(vt,hs),e(hs,Oa),e(vt,La),e(je,Sa),$(Mt,je,null),e(je,Ra),$(qt,je,null),m(o,Us,u),m(o,wt,u),e(wt,zt),e(zt,us),$(yo,us,null),e(wt,Wa),e(wt,gs),e(gs,Ua),m(o,Hs,u),m(o,G,u),$(bo,G,null),e(G,Ha),e(G,_s),e(_s,Xa),e(G,Ka),e(G,xo),e(xo,Va),e(xo,So),e(So,Ba),e(xo,Ga),e(G,Ya),e(G,Co),e(Co,Ja),e(Co,$o),e($o,Za),e(Co,Qa),e(G,er),$(Dt,G,null),e(G,tr),e(G,Ae),$(To,Ae,null),e(Ae,or),e(Ae,yt),e(yt,sr),e(yt,Ro),e(Ro,nr),e(yt,ar),e(yt,vs),e(vs,rr),e(yt,ir),e(Ae,lr),$(Ot,Ae,null),e(Ae,cr),$(Lt,Ae,null),Xs=!0},p(o,[u]){const No={};u&2&&(No.$$scope={dirty:u,ctx:o}),xt.$set(No);const ws={};u&2&&(ws.$$scope={dirty:u,ctx:o}),Et.$set(ws);const ys={};u&2&&(ys.$$scope={dirty:u,ctx:o}),It.$set(ys);const bs={};u&2&&(bs.$$scope={dirty:u,ctx:o}),Pt.$set(bs);const Eo={};u&2&&(Eo.$$scope={dirty:u,ctx:o}),Ft.$set(Eo);const xs={};u&2&&(xs.$$scope={dirty:u,ctx:o}),At.$set(xs);const Cs={};u&2&&(Cs.$$scope={dirty:u,ctx:o}),Mt.$set(Cs);const $s={};u&2&&($s.$$scope={dirty:u,ctx:o}),qt.$set($s);const Io={};u&2&&(Io.$$scope={dirty:u,ctx:o}),Dt.$set(Io);const Ts={};u&2&&(Ts.$$scope={dirty:u,ctx:o}),Ot.$set(Ts);const Ns={};u&2&&(Ns.$$scope={dirty:u,ctx:o}),Lt.$set(Ns)},i(o){Xs||(T(l.$$.fragment,o),T(b.$$.fragment,o),T(_e.$$.fragment,o),T(ve.$$.fragment,o),T(Bt.$$.fragment,o),T(Gt.$$.fragment,o),T(xt.$$.fragment,o),T(Jt.$$.fragment,o),T(Qt.$$.fragment,o),T(eo.$$.fragment,o),T(to.$$.fragment,o),T(oo.$$.fragment,o),T(so.$$.fragment,o),T(no.$$.fragment,o),T(io.$$.fragment,o),T(Et.$$.fragment,o),T(It.$$.fragment,o),T(lo.$$.fragment,o),T(co.$$.fragment,o),T(mo.$$.fragment,o),T(Pt.$$.fragment,o),T(Ft.$$.fragment,o),T(ho.$$.fragment,o),T(uo.$$.fragment,o),T(At.$$.fragment,o),T(wo.$$.fragment,o),T(Mt.$$.fragment,o),T(qt.$$.fragment,o),T(yo.$$.fragment,o),T(bo.$$.fragment,o),T(Dt.$$.fragment,o),T(To.$$.fragment,o),T(Ot.$$.fragment,o),T(Lt.$$.fragment,o),Xs=!0)},o(o){N(l.$$.fragment,o),N(b.$$.fragment,o),N(_e.$$.fragment,o),N(ve.$$.fragment,o),N(Bt.$$.fragment,o),N(Gt.$$.fragment,o),N(xt.$$.fragment,o),N(Jt.$$.fragment,o),N(Qt.$$.fragment,o),N(eo.$$.fragment,o),N(to.$$.fragment,o),N(oo.$$.fragment,o),N(so.$$.fragment,o),N(no.$$.fragment,o),N(io.$$.fragment,o),N(Et.$$.fragment,o),N(It.$$.fragment,o),N(lo.$$.fragment,o),N(co.$$.fragment,o),N(mo.$$.fragment,o),N(Pt.$$.fragment,o),N(Ft.$$.fragment,o),N(ho.$$.fragment,o),N(uo.$$.fragment,o),N(At.$$.fragment,o),N(wo.$$.fragment,o),N(Mt.$$.fragment,o),N(qt.$$.fragment,o),N(yo.$$.fragment,o),N(bo.$$.fragment,o),N(Dt.$$.fragment,o),N(To.$$.fragment,o),N(Ot.$$.fragment,o),N(Lt.$$.fragment,o),Xs=!1},d(o){t(d),o&&t(y),o&&t(_),E(l),o&&t(be),o&&t(z),E(b),o&&t(xe),o&&t(L),o&&t(Ce),o&&t(W),o&&t($e),o&&t(U),o&&t(pe),o&&t(F),o&&t(Te),o&&t(H),o&&t(J),o&&t(Z),o&&t(q),o&&t(Q),o&&t(Ne),o&&t(A),o&&t(k),o&&t(ie),E(_e),o&&t(et),o&&t(Ee),o&&t(tt),E(ve,o),o&&t(Ie),o&&t(he),o&&t(Ps),o&&t(jo),o&&t(Fs),o&&t(lt),E(Bt),o&&t(js),o&&t(we),E(Gt),E(xt),o&&t(As),o&&t(pt),E(Jt),o&&t(Ms),o&&t(Zt),E(Qt),o&&t(qs),o&&t(ft),E(eo),o&&t(zs),o&&t(Je),E(to),E(oo),o&&t(Ds),o&&t(mt),E(so),o&&t(Os),o&&t(Ze),E(no),E(io),E(Et),E(It),o&&t(Ls),o&&t(ut),E(lo),o&&t(Ss),o&&t(ye),E(co),E(mo),E(Pt),E(Ft),o&&t(Rs),o&&t(_t),E(ho),o&&t(Ws),o&&t(de),E(uo),E(At),E(wo),E(Mt),E(qt),o&&t(Us),o&&t(wt),E(yo),o&&t(Hs),o&&t(G),E(bo),E(Dt),E(To),E(Ot),E(Lt)}}}const Si={local:"convnext",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.ConvNextConfig",title:"ConvNextConfig"},{local:"transformers.ConvNextFeatureExtractor",title:"ConvNextFeatureExtractor"},{local:"transformers.ConvNextImageProcessor",title:"ConvNextImageProcessor"},{local:"transformers.ConvNextModel",title:"ConvNextModel"},{local:"transformers.ConvNextForImageClassification",title:"ConvNextForImageClassification"},{local:"transformers.TFConvNextModel",title:"TFConvNextModel"},{local:"transformers.TFConvNextForImageClassification",title:"TFConvNextForImageClassification"}],title:"ConvNeXT"};function Ri(j){return Ni(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Gi extends bi{constructor(d){super();xi(this,d,Ri,Li,Ci,{})}}export{Gi as default,Si as metadata};
